import { TimeUnit } from '../convert-units/index.js';
import { DateComparator } from './date-comparator.enum.js';
/**
 * Determines if date a is before/before or same/same/after or same/or after to date b. If you want to limit the granularity to a unit other
 * than milliseconds, pass it as the second parameter.
 *
 * When including a second parameter, it will match all units equal or larger. For example, if passing in month will check month and year,
 * or if passing in day will check day, month, and year.
 */
export declare function compareDates(a: Date, comparator: DateComparator, b: Date, unit?: TimeUnit): boolean;
