"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPositionedParent = void 0;
/**
 * Gets the first parent element with a relative or absolute position
 */
function getPositionedParent(element) {
    const parent = element.parentElement;
    if (parent) {
        const style = window.getComputedStyle(parent);
        if (['relative', 'absolute'].includes(style.position)) {
            return parent;
        }
        else {
            return getPositionedParent(parent);
        }
    }
    return document.documentElement;
}
exports.getPositionedParent = getPositionedParent;
