"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isDisplayInline = void 0;
/**
 * Return whether an element is `display: inline`
 */
function isDisplayInline(element) {
    if (element.nodeType === 3) {
        return true;
    }
    const computedStyle = window.getComputedStyle(element);
    return computedStyle.display === 'inline';
}
exports.isDisplayInline = isDisplayInline;
