"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isEmpty = void 0;
const index_js_1 = require("./index.js");
/**
 * Checks if a given value is empty
 */
function isEmpty(value) {
    if ((0, index_js_1.isNullOrUndefined)(value)) {
        return true;
    }
    switch (typeof value) {
        case 'object': {
            return !Object.keys(value).length;
        }
        case 'string': {
            return !value.trim();
        }
        default: {
            return false;
        }
    }
}
exports.isEmpty = isEmpty;
