import { isNullOrUndefined } from './index.js';
/**
 * Checks if a given value is empty
 */
export function isEmpty(value) {
    if (isNullOrUndefined(value)) {
        return true;
    }
    switch (typeof value) {
        case 'object': {
            return !Object.keys(value).length;
        }
        case 'string': {
            return !value.trim();
        }
        default: {
            return false;
        }
    }
}
